Bug 1280405 - SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp_socket port 6789.
SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b3bc58790f8a3678ddac9506b12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 11:46 EST by Jake Jackson
Modified: 2015-11-20 06:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 06:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Jackson 2015-11-11 11:46:59 EST
Description of problem:
SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp_socket port 6789.

*****  Plugin mozplugger (89.7 confidence) suggests   ************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall_boolean (10.0 confidence) suggests   ******************

If you want to allow mozilla to plugin can network connect
Then you must tell SELinux about this by enabling the 'mozilla_plugin_can_network_connect' boolean.
You can read 'None' man page for more details.
Do
setsebool -P mozilla_plugin_can_network_connect 1

*****  Plugin catchall (1.69 confidence) suggests   **************************

If you believe that plugin-containe should be allowed name_connect access on the port 6789 tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:cyphesis_port_t:s0
Target Objects                port 6789 [ tcp_socket ]
Source                        plugin-containe
Source Path                   plugin-containe
Port                          6789
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-152.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.5-300.fc23.x86_64 #1 SMP Tue
                              Oct 27 04:29:56 UTC 2015 x86_64 x86_64
Alert Count                   19
First Seen                    2015-11-06 00:32:29 CET
Last Seen                     2015-11-11 17:29:07 CET
Local ID                      4b58671d-2a5a-44a9-80a7-13b2bfea7973

Raw Audit Messages
type=AVC msg=audit(1447259347.620:619): avc:  denied  { name_connect } for  pid=4224 comm="plugin-containe" dest=6789 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cyphesis_port_t:s0 tclass=tcp_socket permissive=0


Hash: plugin-containe,mozilla_plugin_t,cyphesis_port_t,tcp_socket,name_connect

Version-Release number of selected component:
selinux-policy-3.13.1-152.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1199056
Comment 1 Miroslav Grepl 2015-11-20 06:20:43 EST
*****  Plugin catchall_boolean (10.0 confidence) suggests   ******************

If you want to allow mozilla to plugin can network connect
Then you must tell SELinux about this by enabling the 'mozilla_plugin_can_network_connect' boolean.
You can read 'None' man page for more details.
Do
setsebool -P mozilla_plugin_can_network_connect 1

Note You need to log in before you can comment on or make changes to this bug.